%define		subver	2016-01-16
%define		ver		%(echo %{subver} | tr -d -)
%define		plugin		pagelist
%define		php_min_version 5.3.0
%include	/usr/lib/rpm/macros.php
Summary:	DokuWiki Pagelist Plugin
Name:		dokuwiki-plugin-%{plugin}
Version:	%{ver}
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	https://github.com/dokufreaks/plugin-pagelist/archive/ceb4a8863/%{plugin}-%{subver}.tar.gz
# Source0-md5:	59fb31867bc8bf59e1a63b616f1eae1f
URL:		https://www.dokuwiki.org/plugin:pagelist
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.553
Requires:	dokuwiki >= 20131208
Requires:	php(core) >= %{php_min_version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokuconf	/etc/webapps/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		plugindir	%{dokudir}/lib/plugins/%{plugin}
%define		find_lang 	%{_usrlibrpm}/dokuwiki-find-lang.sh %{buildroot}

%description
The Pagelist Plugin does - as its name says - list wiki pages in a
nice way. Besides its function as a stand-alone syntax plugin, it
serves as helper plugin for the Blog, Discussion, Editor, Tag, Task
and Dir plugins.

%prep
%setup -qc
mv *-%{plugin}-*/* .

%build
version=$(awk '/^date/{print $2}' plugin.info.txt)
if [ "$(echo "$version" | tr -d -)" != %{version} ]; then
	: %%{version} mismatch
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a . $RPM_BUILD_ROOT%{plugindir}
rm -f $RPM_BUILD_ROOT%{plugindir}/{COPYING,README,VERSION}

%find_lang %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
# force css cache refresh
if [ -f %{dokuconf}/local.php ]; then
	touch %{dokuconf}/local.php
fi


%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README
%dir %{plugindir}
%{plugindir}/*.css
%{plugindir}/*.php
%{plugindir}/*.txt
%{plugindir}/conf
%changelog
* Thu Aug 17 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dokuwiki-plugin-pagelist.git;a=log;h=master

* Thu Aug 17 2017 Elan Ruusamäe <glen@delfi.ee> 536dafe
- up to 2016-01-16

* Fri Nov 25 2011 Elan Ruusamäe <glen@pld-linux.org> 6386f09
- no utf8 in C desc

* Fri Jan 30 2009 Elan Ruusamäe <glen@pld-linux.org> 41ea0f7
- add ca-va -> ca_VA

* Fri Jan 30 2009 Elan Ruusamäe <glen@pld-linux.org> 5054aed
- do not use subshell, so the exit code could be propagated

* Wed Jan 28 2009 Elan Ruusamäe <glen@pld-linux.org> 856a4d0
- refresh dw cache on install

* Wed Jan 28 2009 Elan Ruusamäe <glen@pld-linux.org> 39c11f9
- barf if lang files not found

* Tue Jan 27 2009 Elan Ruusamäe <glen@pld-linux.org> 9204d14
- up to 2009-01-26 rc

* Wed Aug 27 2008 Elan Ruusamäe <glen@pld-linux.org> 1ad37c1
- new

* Tue Jan 08 2008 Elan Ruusamäe <glen@pld-linux.org> 193608c
- add sl-si -> sl

* Tue Jan 08 2008 Elan Ruusamäe <glen@pld-linux.org> e41c6a4
- find dokuwiki languages

